package com.example.TreballFiGrau;

import java.util.ArrayList;

import android.content.Context;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

public class Llista_AdapterComentaris extends BaseAdapter {

    public static ArrayList<Comentari> entradasComentari;
    private int R_layout_IdView; 
    private Context contexto;
    

    public Llista_AdapterComentaris(Context contexto, int R_layout_IdView) {
        super();
        entradasComentari = new ArrayList<Comentari>(); 
        this.contexto = contexto;
        this.R_layout_IdView = R_layout_IdView;
        
        
        llegirComentarisServerInici();
        
        Log.d("aki", "Adapterssssss comentaris");
        
        
        
    }
    

    public void llegirComentarisServerInici(){
    	
    	new CargarComentarisWebInici().execute();
 
	}
    
   
    
    @Override
    public View getView(int posicion, View view, ViewGroup pariente) {
    	
        if (view == null) {
        	LayoutInflater vi = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE); 
            view = vi.inflate(R_layout_IdView, null); 
        }
        onEntrada (entradasComentari.get(posicion), view);
        return view; 
    }

    @Override
    public int getCount() {
        return entradasComentari.size();
    }

    @Override
    public Comentari getItem(int posicion) {
    	Log.d("aki", "get itemm");
    	Log.d("aki", "posi"+posicion);
        return entradasComentari.get(posicion);
    }

    @Override
    public long getItemId(int posicion) {
        return posicion;
    }

    /** Devuelve cada una de las entradas con cada una de las vistas a la que debe de ser asociada
     * @param entrada La entrada que será la asociada a la view. La entrada es del tipo del paquete/handler
     * @param view View particular que contendrá los datos del paquete/handler
     */
    public void onEntrada (Object entrada, View view){
    	Log.d("aki", "Adapters3");
    	
    	if (entrada != null) {
    		
            TextView texto_superior_entrada = (TextView) view.findViewById(R.id.textComentari); 
            if (texto_superior_entrada != null) 
            	texto_superior_entrada.setText(((Comentari) entrada).text); 

            ImageView imagen_entrada = (ImageView) view.findViewById(R.id.imageView_imagen); 
            if (imagen_entrada != null)
            	imagen_entrada.setImageResource(((Comentari) entrada).idImatge);
        }
    }
    

}
